> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/vm/classic-network/modifysubnetsattribute.md).

# ModifySubnetsAttribute

## 1. API Description

This API (ModifySubnetsAttribute) is used to the API is used to modify the attributes of one or more subnets. Only the subnet name to be displayed can be modified for now.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Batch operations are supported. Each request can modify up to 100 subnets.</mark>
* <mark style="color:blue;">If any of the subnet IDs does not exist, the operation will fail immediately.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                                                                                             |
| -------------- | -------- | --------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| subnetIds      | Yes      | Array of String | <p>Subnet ID(s).</p><p>To obtain the network IDs, you can call DescribeNetworks and look for subnetId in the response.</p><p>The maximum number of networks in each request is 100.</p> |
| subnetName     | Yes      | String          | <p>Subnet name.</p><p>This parameter can contain up to 64 characters. Only letters, numbers, - and periods (.) are supported.</p>                                                       |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify subnet name in batches.**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifySubnetsAttribute
<Common Request Params>

Request:
{
  "subnetIds": [
    "your-subnet-id"
  ],
  "subnetName": "Test-Subnet"
}

Response:
{
  "requestId": "T4725AE6D-DAA4-4C2F-8210-85A911951DCD",
  "response": {
    "requestId": "T4725AE6D-DAA4-4C2F-8210-85A911951DCD"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                             | Description                                           |
| ---------------- | -------------------------------------- | ----------------------------------------------------- |
| 500              | MODIFY\_SUBNET\_FAILED                 | Modifying failed.                                     |
| 404              | INVALID\_SUBNET\_NOT\_FOUND            | Subnet does not exist.                                |
| 400              | OPERATION\_DENIED\_UNSUPPORTED\_SUBNET | Operations on the specified subnet are not supported. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/vm/classic-network/modifysubnetsattribute.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
